Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MatchFieldDef.MEFAConfig

    java.lang.Object
      com.sun.mdm.index.parser.MatchFieldDef.MEFAConfig

Enclosing class:
  MatchFieldDef

class MatchFieldDef.MEFAConfig
extends java.lang.Object

Nested Class Summary
`(package private) class` | `MatchFieldDef.MEFAConfig.BlockPicker`
`(package private) class` | `MatchFieldDef.MEFAConfig.MatcherApi`
`(package private) class` | `MatchFieldDef.MEFAConfig.MatcherConfig`
`(package private) class` | `MatchFieldDef.MEFAConfig.PassController`
`(package private) class` | `MatchFieldDef.MEFAConfig.StandardizerApi`
`(package private) class` | `MatchFieldDef.MEFAConfig.StandardizerConfig`

Field Summary
`(package private) MatchFieldDef.MEFAConfig.BlockPicker` | `blockPicker`
`(package private) MatchFieldDef.MEFAConfig.MatcherApi` | `matcherApi`
`(package private) MatchFieldDef.MEFAConfig.MatcherConfig` | `matcherConfig`
`(package private) java.lang.String` | `moduleName`
`(package private) java.lang.String` | `parserClass`
`(package private) MatchFieldDef.MEFAConfig.PassController` | `passController`
`(package private) MatchFieldDef.MEFAConfig.StandardizerApi` | `standardizerApi`
`(package private) MatchFieldDef.MEFAConfig.StandardizerConfig` | `standardizerConfig`

Constructor Summary
`(package private)` | `MatchFieldDef.MEFAConfig()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blockPicker

    MatchFieldDef.MEFAConfig.BlockPicker blockPicker

### matcherApi

    MatchFieldDef.MEFAConfig.MatcherApi matcherApi

### matcherConfig

    MatchFieldDef.MEFAConfig.MatcherConfig matcherConfig

### moduleName

    java.lang.String moduleName

### parserClass

    java.lang.String parserClass

### passController

    MatchFieldDef.MEFAConfig.PassController passController

### standardizerApi

    MatchFieldDef.MEFAConfig.StandardizerApi standardizerApi

### standardizerConfig

    MatchFieldDef.MEFAConfig.StandardizerConfig standardizerConfig

Constructor Detail

### MatchFieldDef.MEFAConfig

    MatchFieldDef.MEFAConfig()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.